//最新引用
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查项目表
    /// </summary>
    [Description("检查项目")]
    public class T_BS_CHECK_PROJECT : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("检查项目")]
        [FormFieldTable]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        [FormFieldTable]
        [FormFieldEdit]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        public int NUM { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldEdit]
        public string REMARK { get; set; }



        /// <summary>
        /// 导航：检查项目关联检查项目分类
        /// </summary>
        [Description("导航：检查项目关联检查项目分类")]
        [FormFieldEdit]
        public virtual ICollection<T_BS_CHECK_PROJECT_PROJECT_CATEGORY> Nav_ListCheckProjectProjectCategory { get; set; }

    }
}
